import { Component, OnInit } from '@angular/core';
import {Transfer} from '../service/transfer';

@Component({
  selector: 'v-row-peng',
  templateUrl: './row.page.html',
  styleUrls: ['./row.page.scss'],
})
export class RowPage implements OnInit {

  ifFocus = false;
  constructor(private tf: Transfer) { }

  ngOnInit() {}

  toIndex() {
    if (this.ifFocus) {
      this.ifFocus = false;
    } else {
      this.tf.transfer({url: '/index'});
    }
  }

  toggleFocus(e) {
    this.ifFocus = e;
  }

}
